Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.exception
Enum ExceptionHandler.LogLevel

    java.lang.Object
      java.lang.Enum<ExceptionHandler.LogLevel>
          org.jboss.seam.exception.ExceptionHandler.LogLevel

All Implemented Interfaces:
  Serializable, Comparable<ExceptionHandler.LogLevel>

Enclosing class:
  ExceptionHandler

    public static enum ExceptionHandler.LogLevel

extends Enum<ExceptionHandler.LogLevel>

Enum Constant Summary
`debug`
`error`
`fatal`
`info`
`trace`
`warn`

Method Summary
`static ExceptionHandler.LogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExceptionHandler.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### fatal

    public static final ExceptionHandler.LogLevel fatal

### error

    public static final ExceptionHandler.LogLevel error

### warn

    public static final ExceptionHandler.LogLevel warn

### info

    public static final ExceptionHandler.LogLevel info

### debug

    public static final ExceptionHandler.LogLevel debug

### trace

    public static final ExceptionHandler.LogLevel trace

Method Detail

### values

    public static ExceptionHandler.LogLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExceptionHandler.LogLevel c : ExceptionHandler.LogLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExceptionHandler.LogLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.